## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.6

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XPathFactoryBlock Class Reference

`#include <XPathFactoryBlock.hpp>`

Inheritance diagram for XPathFactoryBlock

Collaboration diagram for XPathFactoryBlock:

List of all members.

## Public Types

- enum {
  eDefaultBlockSize = 20
  }

## Public Methods

- XPathFactoryBlock (unsigned int theBlockSize = eDefaultBlockSize)
- virtual ~XPathFactoryBlock ()
- virtual void reset ()
    Reset the instance. More...
- virtual XPath* create ()
    Create an XPath. More...

## Protected Methods

- virtual bool doReturnObject ( const XPath* theXPath, bool fInReset = false)

## Member Enumeration Documentation

anonymous enum

Enumeration values:

  eDefaultBlockSize |

## Constructor & Destructor Documentation

XPathFactoryBlock::XPathFactoryBlock ( | unsigned int theBlockSize = eDefaultBlockSize )`[explicit]`

virtual XPathFactoryBlock::~XPathFactoryBlock ( | )`[virtual]`

## Member Function Documentation

virtual XPath* XPathFactoryBlock::create ( | )`[virtual]`

Create an XPath.

The XPath instance is owned by the factory, and should not be deleted. The factory will manage the lifetime.

Reimplemented from XPathFactory.

virtual bool XPathFactoryBlock::doReturnObject ( | const XPath * theXPath,
| bool fInReset = false )`[protected, virtual]`

Reimplemented from XPathFactory.

virtual void XPathFactoryBlock::reset ( | )`[virtual]`

Reset the instance.

This invalidates all existing instances created with this XPathFactory.

Reimplemented from XPathFactory.

The documentation for this class was generated from the following file:

- XPathFactoryBlock.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.6 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.